'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _semanticUiReact = require('semantic-ui-react');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var NotificationEmpty = function NotificationEmpty(props) {
  var children = props.children,
      rest = _objectWithoutProperties(props, ['children']);

  return _react2.default.createElement(
    'div',
    _extends({ className: 'empty__notification_panel' }, rest),
    _react2.default.createElement(
      'div',
      { className: 'outer-circle' },
      _react2.default.createElement(
        'div',
        { className: 'inner-circle' },
        _react2.default.createElement(_semanticUiReact.Icon, { name: 'bell outline bell_icon', size: 'big' }),
        _react2.default.createElement(
          'div',
          { className: 'info_text' },
          _react2.default.createElement(
            'span',
            null,
            'No New Notifications!'
          )
        )
      )
    ),
    _react2.default.createElement(
      'p',
      { className: 'large-copy' },
      'Check back again for updates, alerts and any other general notifications.'
    )
  );
};

NotificationEmpty.defaultProps = {};

NotificationEmpty.propTypes = {};

exports.default = NotificationEmpty;
//# sourceMappingURL=NotificationEmpty.js.map